libstdc++

Static Public Member Functions | Static Public Attributes | List of all members
std::numeric_limits< int > Struct Template Reference

## Static Public Member Functions

static constexpr int | denorm_min () noexcept
static constexpr int | epsilon () noexcept
static constexpr int | infinity () noexcept
static constexpr int | lowest () noexcept
static constexpr int | max () noexcept
static constexpr int | min () noexcept
static constexpr int | quiet_NaN () noexcept
static constexpr int | round_error () noexcept
static constexpr int | signaling_NaN () noexcept

## Static Public Attributes

static constexpr int | digits
static constexpr int | digits10
static constexpr float_denorm_style | has_denorm
static constexpr bool | has_denorm_loss
static constexpr bool | has_infinity
static constexpr bool | has_quiet_NaN
static constexpr bool | has_signaling_NaN
static constexpr bool | is_bounded
static constexpr bool | is_exact
static constexpr bool | is_iec559
static constexpr bool | is_integer
static constexpr bool | is_modulo
static constexpr bool | is_signed
static constexpr bool | is_specialized
static constexpr int | max_digits10
static constexpr int | max_exponent
static constexpr int | max_exponent10
static constexpr int | min_exponent
static constexpr int | min_exponent10
static constexpr int | radix
static constexpr float_round_style | round_style
static constexpr bool | tinyness_before
static constexpr bool | traps

## Detailed Description

### template<>
struct std::numeric_limits< int >

numeric_limits<int> specialization.

Definition at line 982 of file limits.

The documentation for this struct was generated from the following file:

- limits